%define upstream_name    Swim
%define upstream_version 0.1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    See What I Mean?!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(HTML::Escape)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Pegex) >= 0.410.0
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
Swim is a plain text markup language that converts to many formats:

* * HTML

  * * Rich - Lots of classes and annotations

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/swim


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.1.48-2.mga8
+ Revision: 1544383
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 shlomif <shlomif> 0.1.48-1.mga8
+ Revision: 1482950
- New version 0.1.48

* Wed Apr 17 2019 shlomif <shlomif> 0.1.46-1.mga7
+ Revision: 1392503
- update to 0.1.46

* Wed Sep 19 2018 umeabot <umeabot> 0.1.43-3.mga7
+ Revision: 1271280
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.43-2.mga6
+ Revision: 1033576
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.1.43-1.mga6
+ Revision: 989844
- update to 0.1.43

* Wed Feb 10 2016 shlomif <shlomif> 0.1.42-1.mga6
+ Revision: 953371
- update to 0.1.42

* Sat Jan 16 2016 shlomif <shlomif> 0.1.41-1.mga6
+ Revision: 923925
- update to 0.1.41

* Wed Oct 14 2015 sander85 <sander85> 0.1.40-1.mga6
+ Revision: 891528
- update to 0.1.40

* Wed Jul 08 2015 sander85 <sander85> 0.1.39-1.mga6
+ Revision: 852963
- update to 0.1.39

* Thu Oct 23 2014 danf <danf> 0.1.30-2.mga5
+ Revision: 792807
- Rebuild for perl-Pegex

* Thu Oct 23 2014 shlomif <shlomif> 0.1.30-1.mga5
+ Revision: 792640
- Importing perl-Swim


* Thu Oct 23 2014 cpan2dist 0.1.30-1mga
- initial mageia release, generated with cpan2dist
